Download it now!
Bug 126361 - FILEOPEN DOCX Deleted paragraph gets numbering style from preceding paragraph if there is a section break between them
Summary: FILEOPEN DOCX Deleted paragraph gets numbering style from preceding paragraph...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2019-07-12 10:41 UTC by NISZ LibreOffice Team
Modified: 2019-08-02 12:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (94.68 KB, image/png)
2019-07-12 10:42 UTC, NISZ LibreOffice Team
Details
Example file from Writer (28.74 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-12 10:42 UTC, NISZ LibreOffice Team
Details
Fixed layout in Writer (5.37 KB, image/png)
2019-08-01 07:49 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-12 10:41:49 UTC
Description:
Attached user document has some deleted items with custom numbering and one of them was cut&pasted in Word along a preceding continuous section break.
Now the moved paragraph gets the numbering style of the preceding paragraph in the Show Changes view.
There was originally three tracked changes, now the removal and the deletion part of the move operation are unified.


Steps to Reproduce:
1.	Open attached file

Actual Results:
The first, moved paragraph under Q2 gets numbering instead of retaining its custom “square” bullet.

Expected Results:
The paragraph under Q2 should retain its bullet setting.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: d35171456bc230efdaa9426da1398b2db7fa0df8
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-27_04:11:18
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-07-12 10:42:39 UTC
Created attachment 152738 [details]
Screenshot of the original document side by side in Word and Writer.
Comment 2 NISZ LibreOffice Team 2019-07-12 10:42:55 UTC
Created attachment 152739 [details]
Example file from Writer
Comment 3 NISZ LibreOffice Team 2019-07-12 10:43:12 UTC
Additional Information: 

Bibisected using bibisect-win32-6.3 to: 
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=cbd894925e6b9869baedcd6476484c14d3a3df87 
author	László Németh <nemeth@numbertext.org>	2019-05-22 16:30:02 +0200
committer	László Németh <nemeth@numbertext.org>	2019-05-24 15:09:00 +0200
tdf#125319 DOCX track changes: don't change numbering
Comment 4 Xisco Faulí 2019-07-12 16:40:11 UTC
Introduced by the same commit that introduced bug 125990

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 44df407f63bc20c402b513e9e38470517a775317
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 László Németh 2019-08-01 07:48:53 UTC
Fixed by the reverts related to Bug 125319.
Comment 6 László Németh 2019-08-01 07:49:57 UTC
Created attachment 153084 [details]
Fixed layout in Writer
Comment 7 Xisco Faulí 2019-08-02 12:48:20 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2019-08-02 12:49:31 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Fixed by https://gerrit.libreoffice.org/plugins/gitiles/core/+/1aac73a1fb260e4c76a483a68f003913fdd2c4bb

Two questions:
1. Should we create a unittest for it?
2. Should it be backported to 6.3 ?